Bug 7418 - Add heading flipper script
Summary: Add heading flipper script
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 7284
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-01-07 22:56 UTC by Jared Camins-Esakov
Modified: 2019-04-28 22:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-01-07 22:56:10 UTC
One of the central ideas behind authority files is that they can help librarians keep their databases organized and ensure that all books about the same subject are described with the same subject headings. In order to keep the authority file useful, headings must be updated to match current linguistic usage (for example, the Library of Congress changed the subject "Cookery" to "Cooking" since no one would ever search for the former). Unfortunately, Koha will not automatically update bibliographic records using a given authority. There should be a flip_heading.pl utility that converts obsolete headings in bibliographic records to the current preferred form (as specified by the authority record).
Comment 1 Marc Véron 2016-09-30 05:48:43 UTC
Still valid?
Comment 2 Katrin Fischer 2019-04-28 22:02:20 UTC
When changing the main heading of a linked authority record, the records are upadated automagically. 

See AuthorityMerge* preferences.